import { AfterViewInit, OnInit, OnDestroy } from '@angular/core';
import { SdTextarea } from '@sd-angular/core/textarea';
import { Observable } from 'rxjs';
import { Comment, SdCommentOption } from './comment.model';
import { SdLoadingService } from '@sd-angular/core/loading';
export declare class SdComment implements OnInit, AfterViewInit, OnDestroy {
    #private;
    private loadingService;
    private commentScroll;
    textarea: SdTextarea;
    commentOption: SdCommentOption;
    isReloading: boolean;
    set option(option: SdCommentOption);
    fullCommentStyles: {
        'min-height': string;
    };
    items: Observable<Comment[]>;
    count: Observable<number>;
    message: string;
    constructor(loadingService: SdLoadingService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    onSend: () => void;
    reload: () => Promise<void>;
    clearAllData: () => void;
}
